LICENSE = "CLOSED"
COMPATIBLE_MACHINE = "cheetah(-td)?"
DEPENDS = "virtual/kernel live555 directfb mesa"
RDEPENDS_${PN} += "live555"
PACKAGE_ARCH = "${MACHINE_ARCH}"
PROVIDES = "virtual/libgl nexus"
FILES_${PN} += "${bindir} ${libdir}/libv3ddriver.so ${libdir}/libGLESv2.so ${libdir}/libEGL.so"
FILES_${PN}-dev = "${includedir} ${libdir}/*.la \
                ${libdir}/*.o ${libdir}/pkgconfig ${datadir}/pkgconfig \
                ${datadir}/aclocal ${base_libdir}/*.o \
                ${libdir}/${BPN}/*.la ${base_libdir}/*.la"
FILES_${PN}-dbg += "${libdir}/debug/.debug"

V3D_SUPPORT = "y"

SRC_URI = "\
	file://libv3ddriver-${BASE_MACHINE}.so \
	file://libEGL-${BASE_MACHINE}.so \
	file://libGLESv2-${BASE_MACHINE}.so \
	file://gl-headers-${BASE_MACHINE}.tar \
"

do_install() {
    echo S=${S}
    echo WORKDIR=${WORKDIR}
    ls -l ${WORKDIR}
    ls -l ${S}
    if [ "${V3D_SUPPORT}" = "y" ]; then
        install -d ${D}${libdir}/pkgconfig
        install -m 0755 ${WORKDIR}/libv3ddriver-${BASE_MACHINE}.so ${D}${libdir}/libv3ddriver.so
        install -m 0755 ${WORKDIR}/libEGL-${BASE_MACHINE}.so ${D}${libdir}/libEGL.so
        install -m 0755 ${WORKDIR}/libGLESv2-${BASE_MACHINE}.so ${D}${libdir}/libGLESv2.so
        install -d ${D}${includedir}
        cp -r ${WORKDIR}/gl-headers/* ${D}${includedir}/

    cat > ${D}${libdir}/pkgconfig/glesv2.pc <<EOF
prefix=${prefix}
exec_prefix=${prefix}
libdir=${libdir}
includedir=${includedir}

Name: glesv2
Description: Broadcom Nexus libraries (GLESv2)
Cflags:
Libs: -L${libdir} -lGLESv2
Version: ${PV}
EOF

	cat > ${D}${libdir}/pkgconfig/egl.pc <<EOF
prefix=${prefix}
exec_prefix=${prefix}
libdir=${libdir}
includedir=${includedir}

Name: egl
Description: Broadcom EGL libraries (EGL)
Cflags:
Libs: -L${libdir} -lEGL
Version: ${PV}
EOF

    fi
}
