# brightsign-source-release-world

LICENSE = "MIT"
LIC_FILES_CHKSUM = "file://${COREBASE}/LICENSE;md5=4d92cd373abda3937c2bc47fbc49d690 \
                    file://${COREBASE}/meta/COPYING.MIT;md5=3da9cfbcb788c80a0384361b4de20420"

DEPENDS = "brightsign-nexus-image brightsign-rescue-image brightsign-fwup-image"

# These are the bits that bitbake likes to build before it even tries
# to build us so we need to ensure we provide the source for them too
DEPENDS += "pseudo-native ccache-native"

# We need this because the automatic dependency on unzip-native that
# recipes gain when their SRC_URIs contain ZIP files doesn't seem to
# be getting through.
DEPENDS += "unzip-native"

# In a normal build this comes in due to the image requiring it. The
# trouble is that for the source release we don't get that far so
# let's just explictly depend on it.
DEPENDS += "squashfs-tools"

IMAGE_TASKS = "brightsign-nexus-image:do_build brightsign-rescue-image:do_build brightsign-fwup-image:do_build"
do_build[depends] += "${IMAGE_TASKS}"
do_build[nostamp] = "1"

# The source release needs to depend on the rootfs too so that we end
# up releasing the source for elfutils and perhaps anything else that
# is only required for generating the rootfs.
do_source_release[depends] += "${IMAGE_TASKS}"

