SUMMARY = "UPNP library"
DESCRIPTION = "UPNP library"
HOMEPAGE = "http://cybergarage.org/"
SECTION = "libs"

LICENSE = "BSD"
LIC_FILES_CHKSUM = "file://COPYING;md5=918079276eb5a410d4a6524e0d6b5c7e"

PR = "r2"

SRC_URI = "https://github.com/cybergarage/CyberLink4CC/archive/${PV}.tar.gz \
           file://clink-fix-expat.patch \
           file://clink-fix-new-calls.patch \
           file://clink-fix-string.patch \
           file://clink-fix-leaks.patch \
           file://clink-build-libtool.patch \
           file://clink-getdevice-mutex.patch \
           file://clink-remove-device.patch \
	   file://clink-content-length.patch \
           "

SRC_URI[md5sum] = "24140ffaccfd0db9e6b83be4d97becfb"
SRC_URI[sha256sum] = "f37988b61f8e2e0ecb810d4993b650f0f673b8c1bfd841be48c194d7fffc6700"

S = "${WORKDIR}/CyberLink4CC-${PV}"

EXTRA_OECONF = " --enable-expat"

inherit autotools

DEPENDS += "uhttp expat"

do_unpack_append() {
    # we're going to overlay a libtool way of building so let's just copy
    # over the top rather than crazy patching

    # first blow away any useless guff
    bb.utils.remove("${S}/configure.in")
    bb.utils.remove("${S}/Makefile.am")

    files_dir = os.path.dirname(bb.data.getVar('FILE', d, True)) + "/files"

    # Now copy over the files for building libtool like
    bb.utils.copyfile(files_dir + "/configure.ac", "${S}/configure.ac")
    bb.utils.copyfile(files_dir + "/Makefile.am", "${S}/Makefile.am")
    bb.utils.copyfile(files_dir + "/libclink++.pc.in", "${S}/libclink++.pc.in")
}

do_rm_work() {
     # don't_rm_work
     :
}
