DESCRIPTION = "Libdvdsub is a C library for DVB subtitles parsing and preparation for display"
HOMEPAGE = "https://github.com/leio/libdvbsub"
SECTION = "libs"
FILESPATH =. "${@base_set_filespath(["${THISDIR}/${PN}-${PV}", "${THISDIR}/files"], d)}:"
inherit nfsquick
DEPENDS = "\
    gstreamer1.0 \
"

PV="f80f71fea6aaafe65c081ed029eb82ad795eda74"

SRC_URI = "https://github.com/leio/libdvbsub/archive/${PV}.tar.gz"
SRC_URI += "file://segment_end.patch \
	    file://field_order.patch \
	    file://docs.patch \
	    file://config.patch \
	    file://bug24021.patch"

SRC_URI[md5sum] = "cd1d8e28d49b61e2865e04deef2a63ac"
SRC_URI[sha256sum] = "8a9513d5b3e931efa593e3fcddb2c6503614264d60fae351aa50581f8fc3cf6f"

LICENSE = "LGPLv2.1"
S = "${WORKDIR}/libdvbsub-${PV}"
PR = "r5"

LIC_FILES_CHKSUM = "FILE://${S}/COPYING;md5=a6f89e2100d9b6cdffcea4f398e37343"

inherit autotools pkgconfig

EXTRA_OECONF = "--enable-shared=yes --enable-static=no"
